package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 报名范围
 */
public enum eScopeType {
    All(1),//全部
    Org(2);//组织成员

    private int value;

    eScopeType(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eScopeType valueOf(int value) {
        switch (value) {
            case 1:
                return eScopeType.All;
            case 2:
                return eScopeType.Org;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "全部";
            case 2:
                return "组织成员";
            default:
                return null;
        }
    }

}
